<?php

// Log configuration

// Log file path
$log_file=$root_dir_path.'/data/app.log';

// Log level (DEBUG / INFO / WARNING / ERROR)
$log_level='INFO';

// Enable debug mode (on screen)
$debug=False;

// SMS Gateway
$smsgw_url="http://192.168.8.28:8080";
$smsgw_ssl_verify=true;

// Database

// Example for MySQL :
$db_dsn="mysql:host=localhost;dbname=smsq";
$db_user="smsq";
$db_pwd="smsq";
$db_options=array();

// FluentPDO path
$fluentpdo_path="FluentPDO/FluentPDO.php";

/*
 * Config Mail
 */

$phpmail_path="Mail.php";

/*
 * Méthode d'envoie :
 *  - mail : envoie avec la méthode PHP mail()
 *  - sendmail : envoie la commande sendmail du système
 *  - smtp : envoie en utilisant un serveur SMTP
 */
$mail_send_method='smtp';

/*
 * Paramètres d'envoie :
 *   Ces paramètres dépende de la méthode utilisé. Repporté vous à la documentation
 * de PEAR :: Mail pour plus d'information.
 * Lien : http://pear.php.net/manual/en/package.mail.mail.factory.php
 * Infos :
 *  List of parameter for the backends
 *  mail
 *    o If safe mode is disabled, $params will be passed as the fifth
 *      argument to the PHP mail() function. If $params is an array,
 *      its elements will be joined as a space-delimited string.
 *  sendmail
 *    o $params["sendmail_path"] - The location of the sendmail program
 *      on the filesystem. Default is /usr/bin/sendmail.
 *    o $params["sendmail_args"] - Additional parameters to pass to the
 *      sendmail. Default is -i.
 *  smtp
 *    o $params["host"] - The server to connect. Default is localhost.
 *    o $params["port"] - The port to connect. Default is 25.
 *    o $params["auth"] - Whether or not to use SMTP authentication.
 *      Default is FALSE.
 *    o $params["username"] - The username to use for SMTP authentication.
 *    o $params["password"] - The password to use for SMTP authentication.
 *    o $params["localhost"] - The value to give when sending EHLO or HELO.
 *      Default is localhost
 *    o $params["timeout"] - The SMTP connection timeout.
 *      Default is NULL (no timeout).
 *    o $params["verp"] - Whether to use VERP or not. Default is FALSE.
 *    o $params["debug"] - Whether to enable SMTP debug mode or not.
 *      Default is FALSE.
 *    o $params["persist"] - Indicates whether or not the SMTP connection
 *      should persist over multiple calls to the send() method.
 */
$mail_send_params = NULL;

/*
 * Headers :
 */
$mail_hearders = array(
        'MIME-Version' => '1.0',
        'Content-Type' => 'text/plain; charset=UTF-8; format=flowed',
        'Content-Transfer-Encoding' => '8bit',
);

// Mail sender address
$mail_sender='sms-noreply@example.fr';

// Catch all email to the following specified address
//$mail_catch='root@example.fr';

// Load local configuration file is present
if (is_file($root_dir_path.'/includes/config.local.php')) {
        require $root_dir_path.'/includes/config.local.php';
}
